Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.image
Class ShapeDetectionOptions

    java.lang.Object
      com.sun.cldc.jna.Structure
          edu.wpi.first.wpilibj.image.ShapeDetectionOptions

    public class ShapeDetectionOptions

extends Structure

Author:
  dtjones

Field Summary
`static int` | `IMAQ_GEOMETRIC_MATCH_OCCLUSION_INVARIANT`
`static int` | `IMAQ_GEOMETRIC_MATCH_ROTATION_INVARIANT`
`static int` | `IMAQ_GEOMETRIC_MATCH_SCALE_INVARIANT`
`static int` | `IMAQ_GEOMETRIC_MATCH_SHIFT_INVARIANT`

Fields inherited from class com.sun.cldc.jna.Structure
`backingNativeMemory, NULL`

Constructor Summary
`ShapeDetectionOptions(int mode, int angleRanges, int numAngleRanges, float scaleRangeMin, float scaleRangeMax, double minMatchScore)`

Method Summary
`void` | `free()`
`void` | `read()` Copy the fields of the struct from native memory to the Java fields
`int` | `size()`
`void` | `write()` Copy the java fields of the struct to native memory from the Java fields

Methods inherited from class com.sun.cldc.jna.Structure
`allocateMemory, allocateMemory, clear, freeMemory, getPointer, release, toString, useMemory`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IMAQ_GEOMETRIC_MATCH_SHIFT_INVARIANT

    public static final int IMAQ_GEOMETRIC_MATCH_SHIFT_INVARIANT

See Also:
  Constant Field Values

### IMAQ_GEOMETRIC_MATCH_ROTATION_INVARIANT

    public static final int IMAQ_GEOMETRIC_MATCH_ROTATION_INVARIANT

See Also:
  Constant Field Values

### IMAQ_GEOMETRIC_MATCH_SCALE_INVARIANT

    public static final int IMAQ_GEOMETRIC_MATCH_SCALE_INVARIANT

See Also:
  Constant Field Values

### IMAQ_GEOMETRIC_MATCH_OCCLUSION_INVARIANT

    public static final int IMAQ_GEOMETRIC_MATCH_OCCLUSION_INVARIANT

See Also:
  Constant Field Values

Constructor Detail

### ShapeDetectionOptions

    public ShapeDetectionOptions(int mode,
                                 int angleRanges,
                                 int numAngleRanges,
                                 float scaleRangeMin,
                                 float scaleRangeMax,
                                 double minMatchScore)

Method Detail

### read

    public void read()

  Description copied from class: `Structure`
  Copy the fields of the struct from native memory to the Java fields

  Specified by:
    `read` in class `Structure`

### write

    public void write()

  Description copied from class: `Structure`
  Copy the java fields of the struct to native memory from the Java fields

  Specified by:
    `write` in class `Structure`

### size

    public int size()

  Specified by:
    `size` in class `Structure`
  Returns:
    the size of the native structure

### free

    public void free()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"